Summary:	Movie player based on MPlayer and mplayer2
Name:		mpv
Version:	0.23.0
Release:	2
License:	GPL v2+
Group:		Applications/Multimedia
Source0:	http://github.com/mpv-player/mpv/archive/v%{version}.tar.gz?/%{name}-%{version}.tar.gz
# Source0-md5:	9bce377e101612d611daf2a5c99aa95f
Source1:	%{name}.conf
Patch0:		%{name}-lua.patch
URL:		http://mpv.io/
BuildRequires:	Mesa-libEGL-devel >= 9.0.0
BuildRequires:	Mesa-libwayland-egl-devel >= 9.0.0
BuildRequires:	OpenAL-devel >= 1.13
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	docutils
BuildRequires:	ffmpeg-devel >= 3.2
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	lcms2-devel >= 2.6
BuildRequires:	libass-devel >= 0.12.1
%ifarch	i386 i486
BuildRequires:	libatomic-devel
%endif
BuildRequires:	libbluray-devel >= 0.3.0
BuildRequires:	libcaca-devel >= 0.99
BuildRequires:	libcdio-paranoia-devel
BuildRequires:	libdvdnav-devel >= 4.2.0
BuildRequires:	libdvdread-devel >= 4.1.0
BuildRequires:	libjpeg-devel
BuildRequires:	libsmbclient-devel
BuildRequires:	libv4l-devel
BuildRequires:	libva-devel >= 1.2.0
BuildRequires:	libva-glx-devel >= 1.2.0
BuildRequires:	libvdpau-devel >= 0.2
BuildRequires:	lua51-devel
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel >= 0.9
BuildRequires:	rpmbuild(macros) >= 1.336
BuildRequires:	uchardet-devel
BuildRequires:	waf >= 1.8.12
BuildRequires:	wayland-devel >= 1.3.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRequires:	xorg-lib-libxkbcommon-devel >= 0.3.0
BuildRequires:	xorg-proto-xproto-devel
Requires:	Mesa-libwayland-egl >= 9.0.0
Requires:	OpenAL >= 1.13
Requires:	OpenGL
%requires_eq	ffmpeg-libs
Requires:	lcms2 >= 2.6
Requires:	libass >= 0.12.1
Requires:	libbluray >= 0.3.0
Requires:	libcaca >= 0.99
Requires:	libdvdnav >= 4.2.0
Requires:	libdvdread >= 4.1.0
Requires:	libva >= 1.2.0
Requires:	libva-glx >= 1.2.0
Requires:	libvdpau >= 0.2
Requires:	pulseaudio-libs >= 1.0
Requires:	wayland >= 1.6.0
Requires:	xorg-lib-libxkbcommon >= 0.3.0
Suggests:	youtube-dl >= 2:20150223
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%define		zshdir %{_datadir}/zsh/site-functions

%description
Movie player based on MPlayer and mplayer2.

%package client-libs
Summary:	Client library for controlling mpv
Group:		Development/Libraries

%description client-libs
Client library for controlling mpv.

%package client-devel
Summary:	Development files for mpv client library
Group:		Development/Libraries
Requires:	%{name}-client-libs = %{version}-%{release}

%description client-devel
Development files for mpv client library.

%package -n zsh-completion-mpv
Summary:	zsh-completion for mpv
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}

%description -n zsh-completion-mpv
zsh-completion for mpv.

%prep
%setup -q
%patch0 -p1

%build
%waf configure \
		--prefix=%{_prefix} \
		--bindir=%{_bindir} \
		--confdir=%{_sysconfdir}/mpv \
		--libdir=%{_libdir} \
		--datadir=%{_datadir} \
		--mandir=%{_mandir} \
		--disable-debug-build \
		--enable-alsa \
		--enable-audio-input \
		--enable-caca \
		--enable-cdda \
		--enable-dvb \
		--enable-dvbin \
		--enable-dvdnav \
		--enable-dvdread \
		--enable-encoding \
		--enable-gl-wayland \
		--enable-gl-x11 \
		--enable-iconv \
		--enable-jack \
		--enable-jpeg \
		--enable-lcms2 \
		--enable-libass \
		--enable-libass-osd \
		--enable-libavdevice \
		--enable-libbluray \
		--enable-libmpv-shared \
		--enable-libsmbclient \
		--enable-libswresample \
		--enable-libv4l2 \
		--enable-openal \
		--enable-oss-audio \
		--enable-pulse \
		--enable-sdl1 \
		--enable-shm \
		--enable-tv \
		--enable-tv-v4l2 \
		--enable-uchardet \
		--enable-vaapi \
		--enable-vaapi-glx \
		--enable-vaapi-hwaccel \
		--enable-vdpau \
		--enable-vdpau-gl-x11 \
		--enable-vdpau-hwaccel \
		--enable-wayland \
		--enable-x11 \
		--enable-xext \
		--enable-xinerama \
		--enable-xss \
		--enable-xv \
		--enable-zsh-comp \
		--lua=51pld \
		--zshdir=%{zshdir}

%waf build -v

%install
rm -rf $RPM_BUILD_ROOT

%waf install --destdir=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/mpv
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/mpv

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	client-libs -p /sbin/ldconfig
%postun	client-libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md RELEASE_NOTES etc/input.conf etc/mplayer-input.conf etc/mpv.conf etc/restore-old-bindings.conf
%dir %{_sysconfdir}/mpv
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mpv/encoding-profiles.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mpv/mpv.conf
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/mpv.desktop
%{_iconsdir}/hicolor/*/apps/mpv.png
%{_iconsdir}/hicolor/scalable/apps/mpv.svg
%{_iconsdir}/hicolor/symbolic/apps/mpv-symbolic.svg
%{_mandir}/man1/mpv.1*

%files client-libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmpv.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmpv.so.1

%files client-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmpv.so
%{_includedir}/mpv
%{_pkgconfigdir}/mpv.pc

%files -n zsh-completion-mpv
%defattr(644,root,root,755)
%{zshdir}/_mpv
%changelog
* Thu Dec 29 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mpv.git;a=log;h=master

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> fdebc33
- release 2 (by relup.sh)

* Wed Dec 28 2016 Jan Palus <atler@pld-linux.org> a33f39f
- up to 0.23.0

* Sun Nov 20 2016 Jan Palus <atler@pld-linux.org> 4317f76
- up to 0.22.0

* Wed Oct 19 2016 Jan Palus <atler@pld-linux.org> 723a583
- up to 0.21.0

* Fri Aug 26 2016 Jan Palus <atler@pld-linux.org> 84104e6
- up to 0.20.0

* Mon Aug 15 2016 Jan Palus <atler@pld-linux.org> 9fcdff9
- up to 0.19.0

* Sun Jul 10 2016 Jan Palus <atler@pld-linux.org> 91b88cb
- up to 0.18.1

* Sat Jun 25 2016 Jan Palus <atler@pld-linux.org> b81d784
- up to 0.18.0

* Tue Apr 12 2016 Jan Palus <atler@pld-linux.org> 0ea238b
- up to 0.17.0

* Wed Mar 16 2016 Jan Rękorajski <baggins@pld-linux.org> 6024f0d
- release 2 (by relup.sh)

* Sat Mar 05 2016 Jan Palus <atler@pld-linux.org> 82961cf
- up to 0.16.0

* Tue Jan 19 2016 Jan Palus <atler@pld-linux.org> 6ee6242
- up to 0.15.0

* Sun Jan 03 2016 Elan Ruusamäe <glen@delfi.ee> 1a8f2ee
- add missing ldconfig and config attrs

* Fri Dec 11 2015 Jan Palus <atler@pld-linux.org> 2d1f1cf
- up to 0.14.0

* Wed Nov 11 2015 Jan Palus <atler@pld-linux.org> 14b5a1a
- up to 0.13.0

* Thu Oct 29 2015 Jan Palus <atler@pld-linux.org> 316029d
- up to 0.12.0

* Wed Sep 23 2015 Jan Palus <atler@pld-linux.org> 0d7ee33
- up to 0.11.0

* Fri Sep 04 2015 Jan Palus <atler@pld-linux.org> 9c4d4eb
- up to 0.10.0

* Tue May 19 2015 Jan Palus <atler@pld-linux.org> 81155b5
- up to 0.9.2

* Wed Apr 29 2015 Jan Rękorajski <baggins@pld-linux.org> 586caa0
- release 2 (by relup.sh)

